
Infrastructure - Story #4130

migrate DNS from NCEAS to Amazon Route 53

2013-10-28 23:40 - Matthew Jones

Status: Closed Start date: 2013-10-28

Priority: Normal Due date: 2014-03-29

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2014.12-Block.2.2   

Story Points:    

Description

The NCEAS DNS servers are moving to campus.  We have always wanted a fully distributed DNS service for DataONE, and so will

move to Rackspace to host our DNS (we also evaluated Amazon and other providers).

Subtasks:

Task # 4131: Create Route53 account for DataONE Closed

Task # 4132: Create dataone zone on Rackspace Cloud DNS Rejected

Task # 4133: Revise dataone.org name servers to point at Rackspace DNS servers Rejected

Task # 4134: Create scripts for updating DNS records Closed

Related issues:

Related to Infrastructure - Story #3904: Review / Implement Amazon Route53 se... Closed 2013-08-11 2013-09-07

History

#1 - 2014-01-06 18:41 - Dave Vieglais

- Project changed from Infrastructure Administration to Infrastructure

#2 - 2014-01-06 18:41 - Dave Vieglais

- Start date set to 2014-01-05

- Due date set to 2014-01-18

- Target version set to 2014.2-Block.1.1

#3 - 2014-03-14 17:47 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

- Milestone set to None

- Subject changed from migrate DNS from NCEAS to Rackspace to migrate DNS from NCEAS to Amazon Route 53

- Due date changed from 2014-01-18 to 2014-03-29

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Dave Vieglais

#4 - 2014-03-18 12:40 - Dave Vieglais

DataONE DNS is now run through Amazon Route53.

Current admins are Dave Vieglais, Matt Jones, Chris Jones, and Nick Brand

#5 - 2014-03-18 12:40 - Dave Vieglais

- Status changed from In Progress to Closed
